Index: trunk/expressoMail1_2/spell_checker/pspell_comp.php
===================================================================
--- trunk/expressoMail1_2/spell_checker/pspell_comp.php	(revision 3400)
+++ trunk/expressoMail1_2/spell_checker/pspell_comp.php	(revision 6057)
@@ -201,5 +201,5 @@
 
             //parse output
-            $lines = split("\n",$out);
+            $lines = preg_split('/\n/',$out);
             foreach ($lines as $line){
                 $line = trim($line);
@@ -210,5 +210,5 @@
                 if($line[0] == '&'){
                     $line = preg_replace('/&.*?: /','',$line);
-                    return split(', ',$line);
+                    return preg_split('/, /',$line);
                 }
             }
Index: trunk/expressoMail1_2/spell_checker/spell_checker.php
===================================================================
--- trunk/expressoMail1_2/spell_checker/spell_checker.php	(revision 3400)
+++ trunk/expressoMail1_2/spell_checker/spell_checker.php	(revision 6057)
@@ -197,5 +197,5 @@
 
    	//splits the string on any html tags, preserving the tags and putting them in the $words array
-   	$words = preg_split("/(<[^<>]*>)/", $string, -1, PREG_SPLIT_DELIM_CAPTURE);
+   	$words = preg_split('/(<[^<>]*>)/', $string, -1, PREG_SPLIT_DELIM_CAPTURE);
 
    	$numResults = count($words); //the number of elements in the array.
@@ -215,5 +215,5 @@
 		if(($i & 1) == 0) // Even-numbered entries are word sets.
 		{
-			$words[$i] = preg_split("/(\s+|\&nbsp;)/", $words[$i], -1, PREG_SPLIT_DELIM_CAPTURE); //then split it on the spaces
+			$words[$i] = preg_split('/(\s+|\&nbsp;)/', $words[$i], -1, PREG_SPLIT_DELIM_CAPTURE); //then split it on the spaces
 
 			// Now go through each word and link up the misspelled ones.
Index: trunk/expressoMail1_2/spell_checker/cpaint/cpaint2.proxy.php
===================================================================
--- trunk/expressoMail1_2/spell_checker/cpaint/cpaint2.proxy.php	(revision 3400)
+++ trunk/expressoMail1_2/spell_checker/cpaint/cpaint2.proxy.php	(revision 6057)
@@ -127,5 +127,5 @@
     }
 
-    list($http_headers, $http_body) = split("\r\n\r\n", $http_data, 2);
+    list($http_headers, $http_body) = preg_split('/\r\n\r\n/', $http_data, 2);
     echo($http_body);
     @fclose($cp_socket);
Index: trunk/expressoMail1_2/inc/class.ScriptS.inc.php
===================================================================
--- trunk/expressoMail1_2/inc/class.ScriptS.inc.php	(revision 5509)
+++ trunk/expressoMail1_2/inc/class.ScriptS.inc.php	(revision 6057)
@@ -588,5 +588,5 @@
         // Recebe o conteúdo do array;
         $lines = array();
-        $lines = preg_split("/\n/", $scriptName);
+        $lines = preg_split('/\n/', $scriptName);
 
         // Pega o tamanho da regra na primeira do script;
Index: trunk/expressoMail1_2/inc/class.SieveS.inc.php
===================================================================
--- trunk/expressoMail1_2/inc/class.SieveS.inc.php	(revision 5509)
+++ trunk/expressoMail1_2/inc/class.SieveS.inc.php	(revision 6057)
@@ -77,9 +77,9 @@
 		    elseif (preg_match("/^\"SASL\" +\"(.*)\"/",$said,$bits)) {
 				$auth_types = $bits[1];
-				$this->saslmethods = split(" ", $auth_types);
+				$this->saslmethods = preg_split('/ /', $auth_types);
 		    }
 		    elseif (preg_match("/^\"SIEVE\" +\"(.*)\"/",$said,$bits)) {
 				$extensions = $bits[1];
-				$this->extensions = split(" ", $extensions);
+				$this->extensions = preg_split('/ /', $extensions);
 		    }
 	        elseif (preg_match("/^\"STARTTLS\"/",$said)){
@@ -98,5 +98,5 @@
 			if (preg_match("/SASL=\{(.+)\}/",$sasl_str,$morebits)) {
 			    $auth_types = $morebits[1];
-			    $this->saslmethods = split(", ", $auth_types);
+			    $this->saslmethods = preg_split('/, /', $auth_types);
 			}else {
 				// a bit desperate if we get here.
Index: trunk/expressoMail1_2/inc/class.ldap_functions.inc.php
===================================================================
--- trunk/expressoMail1_2/inc/class.ldap_functions.inc.php	(revision 5864)
+++ trunk/expressoMail1_2/inc/class.ldap_functions.inc.php	(revision 6057)
@@ -212,5 +212,5 @@
 					$contacts_result[$i] = array();
 					$contacts_result[$i]["cn"] = $cn;
-					list ($contacts_result[$i]["mail"], $contacts_result[$i]["phone"], $contacts_result[$i]["mobile"], $contacts_result[$i]["uid"], $contacts_result[$i]["jpegphoto"], $contacts_result[$i]["employeenumber"], $contacts_result[$i]["ou"]) = split ('%', $info);
+					list ($contacts_result[$i]["mail"], $contacts_result[$i]["phone"], $contacts_result[$i]["mobile"], $contacts_result[$i]["uid"], $contacts_result[$i]["jpegphoto"], $contacts_result[$i]["employeenumber"], $contacts_result[$i]["ou"]) = preg_split('/%/', $info);
 					$i++;
 				}
@@ -511,5 +511,5 @@
 		    $extendedinfo=false;
 
-		list ($contacts_result["mail"], $contacts_result["phone"], $contacts_result["mobile"], $contacts_result["uid"], $contacts_result["jpegphoto"], $contacts_result["employeenumber"], $contacts_result["ou"]) = split ('%', $info);
+		list ($contacts_result["mail"], $contacts_result["phone"], $contacts_result["mobile"], $contacts_result["uid"], $contacts_result["jpegphoto"], $contacts_result["employeenumber"], $contacts_result["ou"]) = preg_split('/%/', $info);
 
 		if ($contacts_result['jpegphoto'])
